org.wso2.carbon.dataservices.sql.driver.query.delete

## Class CustomDeleteQuery

- java.lang.Object
- - org.wso2.carbon.dataservices.sql.driver.query.Query
  - - org.wso2.carbon.dataservices.sql.driver.query.ConditionalQuery
    - - org.wso2.carbon.dataservices.sql.driver.query.delete.DeleteQuery
      - - org.wso2.carbon.dataservices.sql.driver.query.delete.CustomDeleteQuery

-     public class CustomDeleteQuery
      extends DeleteQuery

  This class represents a delete query for custom data sources.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomDeleteQuery(Statement stmt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `execute()`
    `ResultSet` | `executeQuery()`
    `int` | `executeUpdate()`

    - ### Methods inherited from class org.wso2.carbon.dataservices.sql.driver.query.delete.DeleteQuery

      `getResultantRows, getTargetTable, getTargetTableName`

    - ### Methods inherited from class org.wso2.carbon.dataservices.sql.driver.query.ConditionalQuery

      `getCondition, processConditions`

    - ### Methods inherited from class org.wso2.carbon.dataservices.sql.driver.query.Query

      `findParam, getConnection, getParameters, getProcessedTokens, getStatement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomDeleteQuery

          public CustomDeleteQuery(Statement stmt)
                            throws SQLException

      Throws:
        `SQLException`

  - ### Method Detail

    - #### executeQuery

          public ResultSet executeQuery()
                                 throws SQLException

      Specified by:
        `executeQuery` in class `Query`
      Throws:
        `SQLException`

    - #### executeUpdate

          public int executeUpdate()
                            throws SQLException

      Specified by:
        `executeUpdate` in class `Query`
      Throws:
        `SQLException`

    - #### execute

          public boolean execute()
                          throws SQLException

      Specified by:
        `execute` in class `Query`
      Throws:
        `SQLException`

Copyright © 2019 WSO2. All rights reserved.